# WAV 支持元数据吗？| AIFF vs WAV

Moriafly 中文翻译

————————

译者：本文章详细介绍了何为 ID3 标签 —— 附加到音频文件元数据容器，点出了 WAV 格式相比 AIFF 格式的缺点。

————————

原文链接：https://decibelpeak.com/does-wav-support-metadata/

WAV 支持元数据吗？简短的回答：不支持。

而本文的其余部分将专门解释为什么您需要考虑使用 AIFF格式。我还将演示如何嵌入“临时”元数据到 WAV / AIFF 文件，以及如何利用声学指纹技术。

**现在，您应该知道 WAV 文件不能保存元数据。然而，这并不意味着我们不能使用 ID3 标签给其 “附加” 元数据（稍后将详细介绍）。您还可以考虑的另一种替代方法是声学指纹识别技术，如 Acoustic ID（稍后也将详细介绍）。另一方面，您可以简单地选择使用 Apple 可互换文件格式（AIFF），因为它拥有保存“永久”元数据的能力（不像WAV）。无论您决定使用哪种方法，本文将涵盖所有内容，以便您能够做出有经验的决策！**

## WAV vs AIFF

一个真比另一个好吗？

这得看你问的是谁，我认为 AIFF 优于 WAV ，因为它具有“永久”存储元数据的能力（这意味着保存在文件中）。
而将元数据“附加”到 WAV 文件的唯一方法是使用 ID3 标签。

在音质方面，WAV 和 AIFF 是相同的。它们都是无损的，这意味着没有文件压缩。

但是，你可能想知道为什么我们仍然使用 WAV ，即便 AIFF 明显是更好的选择。

我们需要明白，音乐产业只是在最近才经历了它整个历史上最大的变化之一。

我指的是音乐流媒体服务（Spotify、Apple music 等）的崛起。

更具体地说，我指的是“高解析度”（译者注：高解析度音频 Hi-res，一般指采样率达 48 kHz 及以上、位深 24 bits 及以上的音频）音乐的引入。

某些市场已经提供无损音乐的数字拷贝，但音乐流媒体服务很快就会跟进。

在此之前，CD 是唯一提供数字格式“高清”音乐的媒介……

在那些日子里，元数据被直接写入 CD （而非 WAV 文件）。

如果您曾经从 CD 中导入过音乐，您就会知道元数据是不会跟着输入的。

这就是为什么我将提议使用 AIFF 而不是 WAV 。

随着本章继续，我们将讨论更多的细节，但首先，我们需要考虑如何适应任何当前的 WAV 资产，您可能已经收集了多年。

这就是 ID3 标签和声学指纹发挥作用的地方！

## 什么是 ID3 标签?

根据我的理解，ID3 标签只是可以“附加”到音频文件的元数据容器。

然而，这与在音频文件中嵌入元数据的过程不同。这就是为什么 WAV 文件与 AIFF 文件相比有一个显著的缺点。

请记住，这两种文件格式都可以使用 ID3 标签。ID3 标签可以被大多数媒体播放器和设备读取。

标签本身可以插入到音频文件之前或之后。
但是，从这个原始文件派生的任何其他文件都不会“继承”前一个文件的元数据。
那时，事情可以变得更有效率。

通过使用AIFF文件，您总是可以返回到原始元数据。

这个原始元数据可用于为其他文件格式创建后续 ID3 标签。

如果您一直在使用 WAV ，那么您可能会发现很难将整个音乐数据库转换为AIFF文件格式。筛选数千条轨道可能要花上几个小时!

这就是为什么我们将在下一节中考虑 AcousticID（声学指纹）。

## 什么是AcousticID（声学指纹识别）
AcousticID 是未来的发展方向，它将永远改变音乐元数据。

它与 Shazam 等应用程序使用的技术非常相似。

唯一的区别是，我们是那些将“指纹识别”我们自己的音乐并提交它的人。

MusicBrainz 元数据数据库是目前最重要的数据库之一。

音频文件可以使用他们的[免费开源软件](https://picard.musicbrainz.org/)进行扫描。

如果搜索没有返回结果，那么您可以继续使用应用程序提交项目的 AcousticID 以及相应的元数据。

一旦你的轨道已经在他们的数据库中注册，你就再也不需要元数据了!

好吧，您仍然会使用元数据，但您只需要您的歌曲的音频样本来使用 MusicBrainz 数据库进行识别。这意味着第二次，你的轨迹将被软件识别（只要你在线）。

这意味着您的音频将被识别，无论文件格式。

如果您还不了解，这对于任何想要将元数据嵌入到整个音乐数据库而不需要手动将数据输入到每个单独的文件中的人来说都是非常有益的。

我强烈推荐使用 AcousticID ，不管你使用的是哪种文件格式。

这只会让你（或别人）的工作变得更容易！

## WAV 文件有 ID3 标签吗?

如果你打算坚持使用 WAV 文件，你就需要使用 ID3 标签，而不是“永久”的元数据。您还需要适当的软件来创建这些元数据容器。

然而，这真的是最有效的方法吗?

如前所述，原始音频文件的衍生版本不会“继承”嵌入 ID3 标签的 WAV 文件的元数据。这和拆 CD 的原理是一样的，没有相应的元数据。

这意味着你的元数据可能会在这个过程中丢失……

记住，你需要这些元数据来确保你收到了版税，并被潜在的听众发现。由于不恰当的元数据和元标签，每年会损失数百万美元的版税。

把它想象成在瓶子里发送信息。

ID3 标签就像瓶子，但是 AIFF 文件的“永久”元数据就像瓶子里的消息。
即使瓶子破了，信息仍然是可以挽救的。

然而，有时您可能没有选择。

在这种情况下，确保在 WAV 文件中嵌入 ID3 标签。

## WAV 元数据编辑器（支持 ID3 标签）
现在有许多应用程序支持 WAV 文件的 ID3 标签。然而，我推荐的声学指纹应用程序不支持 WAV 文件的元数据。换句话说，您将需要这些应用程序中的一个和另一个。

以下是一些最好的 WAV 元数据编辑器：

[bliss](https://www.blisshq.com/)

[SongKong](http://www.jthink.net/songkong/en/index.jsp)

[beaTunes](https://www.beatunes.com/en/)

一定要检查一下你的工作。一旦它们被处理，通过在各种媒体播放器和设备中播放它们来测试文件，看看元数据是否存在。

## AIFF支持元数据吗?

AIFF 最大的优点之一是它支持元数据。

更具体地说，它支持“永久”元数据，这给了我们更多的灵活性。对于我们这些管理音乐数据库的人来说，输入更多信息的能力是必不可少的。

换句话说，如果你打算创建自己的音乐数据库，AIFF 是理想的选择。

原始文件总是以“块”的形式保留原始元数据:

- Common Chunk
- Sound Data Chunk
- Marker Chunk
- Instrument Chunk
- Comment Chunk
- Name Chunk
- Author Chunk
- Copyright Chunk
- Annotation Chunk
- Audio Recording Chunk
- MIDI Data Chunk
- Application Chunk
- ID3 Chunk

这是大量丰富的元数据……

你还会注意到，其中一些“块”与苹果的 Logic Pro 音乐制作软件中的功能有关。苹果的文件格式有利于其专有软件的用户，这并不奇怪。

然而，最重要的“块”是那些引用 ISRC / ISWC 的部分。

正确地嵌入这些代码可以使你收到或没有收到你的版税之间的区别。

其余的元数据决定监听器是否会找到您。

我只是为那些想知道这些为什么重要的人指出一点……

无论如何，这对我们这些依靠版税来支付账单(或一些账单)的人来说真的很重要。
这就是为什么我认为与 AIFF （和 WAV）合作是最好的。
还可以在每个文件中嵌入一个额外的 ID3 标签，也就是“ID3 Chunk”。

## AIFF 的缺点是什么?

AIFF 最大的缺点之一是它不像 WAV 那样兼容。
例如，在基于苹果的操作系统之外使用 AIFF 将需要特定的程序（如 VLC）来读取它们。

Windows Media Player 和某些设备无法读取 AIFF文件。

这就是为什么 WAV 文件一直是无损音频的首选文件格式。

然而，我们首先需要考虑为什么要使用 AIFF 。
你很可能不会用安卓智能手机听音乐。
最有可能的原因是，你想创建某种音乐数据库，不管它是存储在本地还是云上。

您还需要记住，您不会在所有情况下都使用 AIFF 。

这就是为什么精通的工程师（无论如何都是优秀的）会为您提供不同格式的相同文件的多个版本。
如果你正在掌握自己的音轨，那么一定要养成良好的习惯，比如把你的项目像 WAV 和 AIFF 一样弹跳。

那会占用更多存储空间吗?
是的，那会占用两倍的存储空间。

那又怎样?

创建音乐数据库最重要的部分是获得你需要的一切。
如果您为客户管理这些数据库，这一点尤其正确。
从一开始就做好这一切很重要，否则你会给“未来的你”制造很多麻烦。

不管怎样，AIFF 的优点远远大于缺点。

我个人使用 WAV 和 AIFF ，但总是依赖我的 AIFF 文件来引用元数据。